当前位置: 首页>>技术教程>>正文


停止使用闪光灯?还是改善闪存体验?

ubuntuer 技术教程 , , 去评论

问题描述

我想设置我的Ubuntu没有Flash(=未安装),但仍然能够在Youtube,wisevid等网站上观看视频。我想试试这个,因为最近Flash已经崩溃了几次。它也经常’feels’呆滞。另外还有一些与闪光灯相关的问题让我觉得可能有更好的做事方式。那我该怎么做呢?注意:也欢迎有flash + work-arounds的答案。

最佳解决方案

在支持它的网站上,将视频设置为使用HTML5。

对于仅限Flash的站点,您可以使用其中一个免费的Flash实现 – GnashLightspark

如果您想完全避免使用Flash插件,可以尝试下载视频,然后使用VLC进行播放。有些程序可以帮助完成此任务。软件存储库中提供以下内容:

  • youtube-dl(命令行) – 从youtube下载视频

  • clive(命令行) – 从许多网站下载视频

  • cclive(命令行) – clive的C++重写

  • abby(图形) – clive或cclive的GUI前端

并非所有视频网站都受支持,但对于一些不支持的视频网站,您可以找到流媒体视频的URL并使用wget或GUI下载程序(如d4x)下载。查找视频URL需要查看HTML代码。要在chrome中执行此操作,您可以右键单击视频旁边的,然后单击’inspect element’。您将能够在<embed></embed>标签中找到视频URL。它通常具有.flv或.avi扩展名。这仅适用于不加密URL的网站(如youtube和megavideo do)。

您可以通过打开VLC并使用Media-> Open File …并在终端中查找视频或运行vlc FILE来’stream’视频(在下载时播放)。

还有可用的浏览器扩展,例如this one for firefox

次佳解决方案

如果你想避免闪存仍然继续观看YouTube视频,请安装LightSpark,这是一个在Ubuntu中运行良好的Flash Player的open-source实现。只需在终端中运行以下命令(Applications-> Accessories-> Terminal):

sudo apt-get remove flashplugin-installer

以上命令是为了确保您没有安装闪存。之后,要安装lightspark,请运行以下命令:

sudo add-apt-repository ppa:sssup/sssup-ppa
sudo apt-get update
sudo apt-get install lightspark

然后关闭并再次启动浏览器(Chromium /Firefox)以开始使用LightSpark

第三种解决方案

对于YouTube视频,您可以使用minitube

sudo apt-get install minitube

Minitube是一个YouTube桌面客户端。有了它,您可以以全新的方式观看YouTube视频:您输入关键字,Minitube为您提供无限的视频流。 Minitube不是要克隆原始的YouTube网络界面,它旨在创建一个新的TV-like体验。

Minitube不使用Flash Player。

http://flavio.tordini.org/minitube

第四种方案

无需安装任何额外的软件,如minitube。您的图腾,Ubuntu中的默认电影播放器​​本身可以为您播放YouTube视频。

检查此链接。希望这会有所帮助。

http://findasolution.in/component/content/article/38-ubuntu/50-watch-youtube-videos-without-flash-player-in-ubuntu

第五种方案

除了@Bilal Akhtar回答我建议安装浏览器插件,以使其在firefox& chorminium

sudo apt-get install browser-plugin-lightspark

第六种方案

当浏览器变得迟缓时,您可以重新启动闪存plug-in。

在Google Chrome中:

Task_Manager (Shift+Escape) -> End process on "Plug-in: Shockwave Flash"

在Firefox 3.6.5+中:

killall plugin-container

第七种方案

Lightspark repository for Natty, Oneiric, Precise
(ppa:sssup/sssup-ppa don’t have last two and amd64 packages):

   sudo add-apt-repository ppa:sparkers/daily 

参考资料

本文由Ubuntu问答整理, 博文地址: https://ubuntuqa.com/article/2834.html,未经允许,请勿转载。

相关文章